Function
dijkstra
Computes shortest paths from a single source in a graph.
dijkstra(g, source, weight, predecessor, distance)
Include Headers
seqan/graph_algorithms.h
Parameters

g | In-parameter:A graph. Types: Directed Graph
source | In-parameter:A source vertex. Types: VertexDescriptor
weight | In-parameter:A weight map. Remarks: A property map with edge weights. Edge weights have to be nonnegative.
predecessor | Out-parameter:A property map. Remarks: A property map that represents predecessor relationships among vertices. It determines a shortest-paths tree.
distance | Out-parameter:A property map. Remarks: Indicates for each vertex the distance from the source.

Remarks
Edge weights have to be nonnegative.
Return Values
void
Example Programs
Dijkstras Algorithm
See Also
dagShortestPath, bellmanFordAlgorithm
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47